pcl::SVMDataPoint Struct Reference

The structure initialize a single feature value for the classification using SVM (Support Vector Machines). More...

`#include <pcl/ml/svm_wrapper.h>`

## Public Member Functions

| SVMDataPoint ()

## Public Attributes

int | idx
| It's the feature index. It has to be an integer number greater or equal to zero. More...
float | value
| The value assigned to the correspondent feature. More...

## Detailed Description

The structure initialize a single feature value for the classification using SVM (Support Vector Machines).

Definition at line 99 of file svm_wrapper.h.

## Constructor & Destructor Documentation

## SVMDataPoint()

pcl::SVMDataPoint::SVMDataPoint | ( |  | ) |

inline

Definition at line 105 of file svm_wrapper.h.

## Member Data Documentation

## idx

int pcl::SVMDataPoint::idx

It's the feature index. It has to be an integer number greater or equal to zero.

Definition at line 101 of file svm_wrapper.h.

## value

float pcl::SVMDataPoint::value

The value assigned to the correspondent feature.

Definition at line 103 of file svm_wrapper.h.

The documentation for this struct was generated from the following file:

- pcl/ml/svm_wrapper.h